
TYPO3.Fluid - Bug # 3065

Status: Resolved Priority: Should have
Author: Jochen Rau Category:
Created: 2009-04-09 Assigned To: Sebastian Kurfuerst
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: ObjectFactory is unable to call t3lib_div::makeInstance.
Description

ObjectFactory is unable to call t3lib_div::makeInstance. See attached image.

History
#1 - 2009-04-10 12:38 - Sebastian Kurfuerst

Hey,

how did you do this? :-)

Greets,
Sebastian

#2 - 2009-04-11 21:08 - Jochen Rau

Hi,

it was during a presentation in the TYPO3 UG Stuttgart. A friend of mine installed extbase and fluid on his remote server. I'll have to ask him for more
information about his machine.

Regards
Jochen

#3 - 2009-04-29 11:34 - Steffen Müller

I can reproduce this.
What information do you need?

I installed extbase and fluid as sysext and blog_example as local extension, using...

- typo3-src from trunk rev. 5374

- extbase/fluid/blog_example from trunk rev. 573

System Environment: Debian Etch x86_64
Apache 2.2.3
PHP 5.2.0 + eAccelerator 0.9.5.2
running php-cgi via fcgid
MySQL 5.0.32
Anything I can do to help?

#4 - 2009-04-30 10:33 - Sebastian Kurfuerst

Hey,

I think it should be fixed now. The problem only showed up in PHP versions between 5.2.0 and 5.2.3.

Can you confirm it works now?

Thanks and greets,
Sebastian

#5 - 2009-04-30 11:01 - Sebastian Kurfuerst
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r578.

#6 - 2009-04-30 13:58 - Steffen Müller

The original warning are gone, but now I get:

[Thu Apr 30 13:55:29 2009] [warn] mod_fcgid: stderr: PHP Fatal error:  Call to undefined method
Tx_Extbase_Reflection_ParameterReflection::getPosition() in
/var/www/typo3_src/typo3_src-trunk/typo3/sysext/extbase/Classes/Reflection/Service.php on line 106

#7 - 2009-10-21 17:55 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)
